summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-mud/circlemud
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-mud/circlemud')
-rw-r--r--games-mud/circlemud/Manifest1
-rw-r--r--games-mud/circlemud/circlemud-3.1.ebuild63
-rw-r--r--games-mud/circlemud/files/circlemud-3.1-ldflags.patch65
-rw-r--r--games-mud/circlemud/metadata.xml12
4 files changed, 141 insertions, 0 deletions
diff --git a/games-mud/circlemud/Manifest b/games-mud/circlemud/Manifest
new file mode 100644
index 00000000000..c389e4a0762
--- /dev/null
+++ b/games-mud/circlemud/Manifest
@@ -0,0 +1 @@
+DIST circle-3.1.tar.bz2 1176136 SHA256 3813f6f903e958818afa5734403caa208d0a042ad1258f832d1ffc6923e098ea SHA512 161a0fd74aa248f6b357447be1de2d7c55e1fd281e9621d1cf7eb02d802ae06f362a318eeb3eb2425aad96620f71775245775a3aa42250e4374e8c82947df194 WHIRLPOOL 2f9a7cef407ab4d8b9017af1fef5af5a2b0b1edb7d320d7eba6679fed10989efebe1be10d28fc6956c0ee95941e8de7d7d1cf0849865b558d348f21468bbebf1
diff --git a/games-mud/circlemud/circlemud-3.1.ebuild b/games-mud/circlemud/circlemud-3.1.ebuild
new file mode 100644
index 00000000000..9af7a1ff969
--- /dev/null
+++ b/games-mud/circlemud/circlemud-3.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils games
+
+DESCRIPTION="a multi-user dungeon game system server"
+HOMEPAGE="http://www.circlemud.org/"
+SRC_URI="http://www.circlemud.org/pub/CircleMUD/3.x/circle-${PV}.tar.bz2"
+
+LICENSE="circlemud"
+SLOT="0"
+KEYWORDS="amd64 ppc x86"
+IUSE=""
+
+DEPEND="dev-libs/openssl"
+
+S=${WORKDIR}/circle-${PV}
+
+src_prepare() {
+ cd src
+ touch .accepted
+ sed -i \
+ -e 's:^read.*::' licheck || die
+
+ # make circlemud fit into Gentoo nicely
+ sed -i \
+ -e "s:\"lib\":\"${GAMES_DATADIR}/${PN}\":g" \
+ -e "s:\(LOGNAME = \)NULL:\1\"${GAMES_LOGDIR}/${PN}.log\":g" \
+ config.c || die
+ sed -i \
+ -e "s:etc/:${GAMES_SYSCONFDIR}/${PN}/:g" db.h || die
+
+ # now lets rename binaries (too many are very generic)
+ sed -i \
+ -e "s:\.\./bin/autowiz:${PN}-autowiz:" limits.c || die
+ epatch "${FILESDIR}"/${P}-ldflags.patch
+}
+
+src_compile() {
+ emake -C src
+}
+
+src_install() {
+ local bin
+
+ for bin in autowiz delobjs listrent mudpasswd play2to3 purgeplay \
+ shopconv showplay sign split wld2html ; do
+ newgamesbin bin/${bin} ${PN}-${bin}
+ done
+ dogamesbin bin/circle
+
+ dodir "${GAMES_DATADIR}/${PN}"
+ cp -r lib/* "${D}/${GAMES_DATADIR}/${PN}" || die
+
+ insinto "${GAMES_SYSCONFDIR}/${PN}"
+ doins lib/etc/*
+
+ dodoc doc/{README.UNIX,*.pdf,*.txt} ChangeLog FAQ README release_notes.${PV}.txt
+ prepgamesdirs
+ fperms 770 "${GAMES_SYSCONFDIR}/${PN}/players"
+}
diff --git a/games-mud/circlemud/files/circlemud-3.1-ldflags.patch b/games-mud/circlemud/files/circlemud-3.1-ldflags.patch
new file mode 100644
index 00000000000..fc86e5e7056
--- /dev/null
+++ b/games-mud/circlemud/files/circlemud-3.1-ldflags.patch
@@ -0,0 +1,65 @@
+--- src/Makefile.in.old 2010-09-16 12:19:26.000000000 +0200
++++ src/Makefile.in 2010-09-16 12:19:41.000000000 +0200
+@@ -54,7 +54,7 @@
+ $(MAKE) $(BINDIR)/circle
+
+ $(BINDIR)/circle : $(OBJFILES)
+- $(CC) -o $(BINDIR)/circle $(PROFILE) $(OBJFILES) $(LIBS)
++ $(CC) $(LDFLAGS) -o $(BINDIR)/circle $(PROFILE) $(OBJFILES) $(LIBS)
+
+ clean:
+ rm -f *.o
+--- src/util/Makefile.in.old 2010-09-16 12:31:01.000000000 +0200
++++ src/util/Makefile.in 2010-09-16 12:32:08.000000000 +0200
+@@ -52,40 +52,40 @@
+
+ $(BINDIR)/autowiz: autowiz.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h $(INCDIR)/utils.h $(INCDIR)/db.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/autowiz autowiz.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/autowiz autowiz.c
+
+ $(BINDIR)/delobjs: delobjs.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h $(INCDIR)/utils.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/delobjs delobjs.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/delobjs delobjs.c
+
+ $(BINDIR)/listrent: listrent.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/listrent listrent.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/listrent listrent.c
+
+ $(BINDIR)/mudpasswd: mudpasswd.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h $(INCDIR)/utils.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/mudpasswd mudpasswd.c @CRYPTLIB@
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/mudpasswd mudpasswd.c @CRYPTLIB@
+
+ $(BINDIR)/play2to3: play2to3.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/play2to3 play2to3.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/play2to3 play2to3.c
+
+ $(BINDIR)/purgeplay: purgeplay.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h $(INCDIR)/utils.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/purgeplay purgeplay.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/purgeplay purgeplay.c
+
+ $(BINDIR)/shopconv: shopconv.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h $(INCDIR)/db.h $(INCDIR)/utils.h $(INCDIR)/shop.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/shopconv shopconv.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/shopconv shopconv.c
+
+ $(BINDIR)/showplay: showplay.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h \
+ $(INCDIR)/structs.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/showplay showplay.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/showplay showplay.c
+
+ $(BINDIR)/sign: sign.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/sign sign.c @NETLIB@
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/sign sign.c @NETLIB@
+
+ $(BINDIR)/split: split.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/split split.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/split split.c
+
+ $(BINDIR)/wld2html: wld2html.c $(INCDIR)/conf.h $(INCDIR)/sysdep.h
+- $(CC) $(CFLAGS) -o $(BINDIR)/wld2html wld2html.c
++ $(CC) $(LDFLAGS) $(CFLAGS) -o $(BINDIR)/wld2html wld2html.c
diff --git a/games-mud/circlemud/metadata.xml b/games-mud/circlemud/metadata.xml
new file mode 100644
index 00000000000..fdb2e1e3c87
--- /dev/null
+++ b/games-mud/circlemud/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+<longdescription>
+CircleMUD is a multi-user dungeon game system (MUD) written by Jeremy Elson, originally at
+Johns Hopkins University's Department of Computer Science (I graduated in May of 1996).
+CircleMUD is a derivative of DikuMUD Gamma 0.0, which was written in 1990 at DIKU, the
+Department of Computer Science at the University of Copenhagen, by Katja Nyboe, Tom
+Madsen, Hans Henrik Staerfeldt, Michael Seifert, and Sebastian Hammer.
+</longdescription>
+</pkgmetadata>